<?php

	$law_firm_lite_first_color = get_theme_mod('law_firm_lite_first_color');

	$custom_css = '';

	/*------------------------------ Global First Color -----------*/
	if($law_firm_lite_first_color != false){
		$custom_css .='.top-bar i,.top-bar i.far.fa-clock:after, .top-bar i.fas.fa-map-marker-alt:after,.top-btn a,.more-btn i,.con-box,.social-icon .custom-social-icons i:hover,.box:before,#sidebar .custom-social-icons i, #footer .custom-social-icons i,input[type="submit"],#footer .tagcloud a:hover,#footer-2,#sidebar h3,.pagination .current,.pagination a:hover, #sidebar .tagcloud a:hover, #comments input[type="submit"], #slider .carousel-control-prev-icon:hover, #slider .carousel-control-next-icon:hover, nav.woocommerce-MyAccount-navigation ul li, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .scrollup i, #comments a.comment-reply-link, .toggle-nav i{';
			$custom_css .='background-color: '.esc_html($law_firm_lite_first_color).';';
		$custom_css .='}';
	}
	if($law_firm_lite_first_color != false){
		$custom_css .='#slider .carousel-control-prev-icon:hover, #slider .carousel-control-next-icon:hover{';
			$custom_css .='border-color: '.esc_html($law_firm_lite_first_color).';';
		$custom_css .='}';
	}
	if($law_firm_lite_first_color != false){
		$custom_css .='a, .heading-box p, #footer .custom-social-icons i:hover, .post-main-box:hover h2, .scrollup, #sidebar ul li a:hover, .post-navigation a:hover, .post-navigation a:focus, .post-navigation a:hover .post-title, .post-navigation a:focus .post-title, #footer li a:hover, .post-main-box:hover h2 a, .entry-content a, .sidebar .textwidget p a, .textwidget p a, #comments p a, .slider .inner_carousel p a, .main-navigation a:hover, .main-navigation ul.sub-menu a:hover{';
			$custom_css .='color: '.esc_html($law_firm_lite_first_color).';';
		$custom_css .='}';
	}
	if($law_firm_lite_first_color != false){
		$custom_css .='.middle-header, .header-fixed{';
			$custom_css .='border-bottom-color: '.esc_html($law_firm_lite_first_color).';';
		$custom_css .='}';
	}

	$custom_css .='@media screen and (max-width:1000px) {';
		if($law_firm_lite_first_color != false){
			$custom_css .='.search-box i{
			background-color:'.esc_html($law_firm_lite_first_color).';
			}';
		}
	$custom_css .='}';

	/*------------------------------ Global Second Color -----------*/

	$law_firm_lite_second_color = get_theme_mod('law_firm_lite_second_color');
	
	if($law_firm_lite_second_color != false){
		$custom_css .=' .top-bar,.more-btn a,.social-icon .custom-social-icons i,#footer,.pagination span, .pagination a,#sidebar .custom-social-icons i:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce span.onsale{';
			$custom_css .='background-color: '.esc_html($law_firm_lite_second_color).';';
		$custom_css .='}';
	}
	if($law_firm_lite_second_color != false){
		$custom_css .='#slider .carousel-control-prev-icon, #slider .carousel-control-next-icon, .woocommerce .quantity .qty{';
			$custom_css .='border-color: '.esc_html($law_firm_lite_second_color).';';
		$custom_css .='}';
	}
	if($law_firm_lite_second_color != false){
		$custom_css .='.woocommerce-message, .woocommerce-info{';
			$custom_css .='border-top-color: '.esc_html($law_firm_lite_second_color).';';
		$custom_css .='}';
	}
	if($law_firm_lite_second_color != false){
		$custom_css .='h1, h2, h3, h4, h5, h6,.logo h1 a,#slider .inner_carousel h1,#slider .inner_carousel p,.post-main-box h2,.top-btn a:hover, input[type="submit"], #sidebar caption, .post-navigation a, #slider .carousel-control-prev-icon, #slider .carousel-control-next-icon, h2.woocommerce-loop-product__title, .woocommerce div.product .product_title, .woocommerce-message::before, .woocommerce-info::before, .woocommerce .quantity .qty, .entry-content a, .post-main-box h2 a, .main-navigation a, .main-navigation ul ul a{';
			$custom_css .='color: '.esc_html($law_firm_lite_second_color).';';
		$custom_css .='}';
	}
	if($law_firm_lite_second_color != false){
		$custom_css .='nav.woocommerce-MyAccount-navigation ul li{
		box-shadow: 2px 2px 0 0 '.esc_html($law_firm_lite_second_color).';
		}';
	}

	/*---------------------------Width Layout -------------------*/

	$theme_lay = get_theme_mod( 'law_firm_lite_width_option','Full Width');
    if($theme_lay == 'Boxed'){
		$custom_css .='body{';
			$custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$custom_css .='}';
	}else if($theme_lay == 'Wide Width'){
		$custom_css .='body{';
			$custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$custom_css .='}';
	}else if($theme_lay == 'Full Width'){
		$custom_css .='body{';
			$custom_css .='max-width: 100%;';
		$custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$theme_lay = get_theme_mod( 'law_firm_lite_slider_opacity_color','0.3');
	if($theme_lay == '0'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0';
		$custom_css .='}';
		}else if($theme_lay == '0.1'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.1';
		$custom_css .='}';
		}else if($theme_lay == '0.2'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.2';
		$custom_css .='}';
		}else if($theme_lay == '0.3'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.3';
		$custom_css .='}';
		}else if($theme_lay == '0.4'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.4';
		$custom_css .='}';
		}else if($theme_lay == '0.5'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.5';
		$custom_css .='}';
		}else if($theme_lay == '0.6'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.6';
		$custom_css .='}';
		}else if($theme_lay == '0.7'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.7';
		$custom_css .='}';
		}else if($theme_lay == '0.8'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.8';
		$custom_css .='}';
		}else if($theme_lay == '0.9'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.9';
		$custom_css .='}';
		}

	/*---------------------------Slider Content Layout -------------------*/

	$theme_lay = get_theme_mod( 'law_firm_lite_slider_content_option','Left');
    if($theme_lay == 'Left'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$custom_css .='text-align:left; left:10%; right:45%;';
		$custom_css .='}';
	}else if($theme_lay == 'Center'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$custom_css .='text-align:center; left:20%; right:20%;';
		$custom_css .='}';
	}else if($theme_lay == 'Right'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$custom_css .='text-align:right; left:45%; right:10%;';
		$custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$theme_lay = get_theme_mod( 'law_firm_lite_blog_layout_option','Default');
    if($theme_lay == 'Default'){
		$custom_css .='.post-main-box{';
			$custom_css .='';
		$custom_css .='}';
	}else if($theme_lay == 'Center'){
		$custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn{';
			$custom_css .='text-align:center;';
		$custom_css .='}';
		$custom_css .='.post-info, .content-bttn{';
			$custom_css .='margin-top:10px;';
		$custom_css .='}';
		$custom_css .='.post-info hr{';
			$custom_css .='margin:10px auto;';
		$custom_css .='}';
	}else if($theme_lay == 'Left'){
		$custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$custom_css .='text-align:Left;';
		$custom_css .='}';
		$custom_css .='.content-bttn{';
			$custom_css .='margin:20px 0;';
		$custom_css .='}';
		$custom_css .='.post-info hr{';
			$custom_css .='margin-bottom:10px;';
		$custom_css .='}';
		$custom_css .='.post-main-box h2{';
			$custom_css .='margin-top:10px;';
		$custom_css .='}';
	}